<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>drivers/qspiflash/qspiflash.h File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_14bc92f4b96c8519b376567118ac28b3.html">drivers</a></li><li class="navelem"><a class="el" href="dir_9f8c544e60ecba38724f4e794a0ce3e0.html">qspiflash</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">qspiflash.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>QSPI Flash.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;ti/drivers/dma/dma.h&gt;</code><br />
<code>#include &lt;ti/drivers/qspi/qspi.h&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_q_s_p_i_flash___h_w_cfg__t.html">QSPIFlash_HWCfg_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">QSPI flash H/W Parameters.  <a href="struct_q_s_p_i_flash___h_w_cfg__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_q_s_p_i_flash___params__t.html">QSPIFlash_Params_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">QSPIFlash Parameters.  <a href="struct_q_s_p_i_flash___params__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga02cbc886a54fac973a08b7113432a7ec"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga02cbc886a54fac973a08b7113432a7ec">QSPIFLASH_EINVAL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_QSPIFLASH_BASE - 1)</td></tr>
<tr class="memdesc:ga02cbc886a54fac973a08b7113432a7ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">QSPI DRIVER Error Code: Invalid command. <br /></td></tr>
<tr class="separator:ga02cbc886a54fac973a08b7113432a7ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga281e793b80825b4f7b9e6085ce4ae97f"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga281e793b80825b4f7b9e6085ce4ae97f">QSPIFLASH_ENOMEM</a>&#160;&#160;&#160;(MMWAVE_ERRNO_QSPIFLASH_BASE - 2)</td></tr>
<tr class="memdesc:ga281e793b80825b4f7b9e6085ce4ae97f"><td class="mdescLeft">&#160;</td><td class="mdescRight">QSPI DRIVER Error Code: Out of memory. <br /></td></tr>
<tr class="separator:ga281e793b80825b4f7b9e6085ce4ae97f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga660fd9f7c68fe9be4e3bd7f25fa7bf01"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga660fd9f7c68fe9be4e3bd7f25fa7bf01">QSPIFLASH_ESFDP</a>&#160;&#160;&#160;(MMWAVE_ERRNO_QSPIFLASH_BASE - 3)</td></tr>
<tr class="memdesc:ga660fd9f7c68fe9be4e3bd7f25fa7bf01"><td class="mdescLeft">&#160;</td><td class="mdescRight">QSPI DRIVER Error Code: Already in use. <br /></td></tr>
<tr class="separator:ga660fd9f7c68fe9be4e3bd7f25fa7bf01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3527f7fcf112cac288afd975d3851f9b"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga3527f7fcf112cac288afd975d3851f9b">QSPIFLASH_ENOTSUPPORTED</a>&#160;&#160;&#160;(MMWAVE_ERRNO_QSPIFLASH_BASE - 4)</td></tr>
<tr class="memdesc:ga3527f7fcf112cac288afd975d3851f9b"><td class="mdescLeft">&#160;</td><td class="mdescRight">QSPI DRIVER Error Code: Flash device is not supported. <br /></td></tr>
<tr class="separator:ga3527f7fcf112cac288afd975d3851f9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:a619eb9010f942b6f1698f7bcce489328"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a619eb9010f942b6f1698f7bcce489328"></a>
typedef void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a></td></tr>
<tr class="memdesc:a619eb9010f942b6f1698f7bcce489328"><td class="mdescLeft">&#160;</td><td class="mdescRight">A handle that is returned from a QSPI_open() call. <br /></td></tr>
<tr class="separator:a619eb9010f942b6f1698f7bcce489328"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4a5c3e4f93e3ee65cfce1ad83df6cc0"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="qspiflash_8h.html#ad118404f00b7c91a9dcd613cc0215038">FLASH_READ_MODE_e</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="qspiflash_8h.html#aa4a5c3e4f93e3ee65cfce1ad83df6cc0">FLASH_READ_MODE</a></td></tr>
<tr class="memdesc:aa4a5c3e4f93e3ee65cfce1ad83df6cc0"><td class="mdescLeft">&#160;</td><td class="mdescRight">QSPI flash Read mode.  <a href="#aa4a5c3e4f93e3ee65cfce1ad83df6cc0">More...</a><br /></td></tr>
<tr class="separator:aa4a5c3e4f93e3ee65cfce1ad83df6cc0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac249b509e60e44c1bed79898c10ffa98"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_q_s_p_i_flash___h_w_cfg__t.html">QSPIFlash_HWCfg_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac249b509e60e44c1bed79898c10ffa98">QSPIFlash_HWCfg</a></td></tr>
<tr class="memdesc:gac249b509e60e44c1bed79898c10ffa98"><td class="mdescLeft">&#160;</td><td class="mdescRight">QSPI flash H/W Parameters.  <a href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac249b509e60e44c1bed79898c10ffa98">More...</a><br /></td></tr>
<tr class="separator:gac249b509e60e44c1bed79898c10ffa98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadee35f2a953289fc119df06a7e0dc566"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_q_s_p_i_flash___params__t.html">QSPIFlash_Params_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gadee35f2a953289fc119df06a7e0dc566">QSPIFlash_Params</a></td></tr>
<tr class="memdesc:gadee35f2a953289fc119df06a7e0dc566"><td class="mdescLeft">&#160;</td><td class="mdescRight">QSPIFlash Parameters.  <a href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gadee35f2a953289fc119df06a7e0dc566">More...</a><br /></td></tr>
<tr class="separator:gadee35f2a953289fc119df06a7e0dc566"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga3dfffa9b307d21087b3f11f44b6730f9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga3dfffa9b307d21087b3f11f44b6730f9">QSPIFlash_init</a> (void)</td></tr>
<tr class="separator:ga3dfffa9b307d21087b3f11f44b6730f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8e56314ac09f1354b94593c45bddc857"><td class="memItemLeft" align="right" valign="top"><a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga8e56314ac09f1354b94593c45bddc857">QSPIFlash_open</a> (QSPI_Handle QSPIHandle, int32_t *errCode)</td></tr>
<tr class="separator:ga8e56314ac09f1354b94593c45bddc857"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0ac7e5973d3e7253f379ae6fae0c400a"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga0ac7e5973d3e7253f379ae6fae0c400a">QSPIFlash_close</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle)</td></tr>
<tr class="separator:ga0ac7e5973d3e7253f379ae6fae0c400a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad422bdefb5e551c01e9d9fc7a5052fd6"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gad422bdefb5e551c01e9d9fc7a5052fd6">QSPIFlash_sectorErase</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle, uint32_t addr)</td></tr>
<tr class="separator:gad422bdefb5e551c01e9d9fc7a5052fd6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaade7d5117607367b78d574f43792a051"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaade7d5117607367b78d574f43792a051">QSPIFlash_blockErase</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle, uint32_t addr)</td></tr>
<tr class="separator:gaade7d5117607367b78d574f43792a051"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1cb555b4298538f7c1a965b9c79c55ad"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga1cb555b4298538f7c1a965b9c79c55ad">QSPIFlash_chipErase</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle)</td></tr>
<tr class="separator:ga1cb555b4298538f7c1a965b9c79c55ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf8ba53757ffe1d6927d7c10a6bea7f2a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaf8ba53757ffe1d6927d7c10a6bea7f2a">QSPIFlash_writeEnable</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle)</td></tr>
<tr class="separator:gaf8ba53757ffe1d6927d7c10a6bea7f2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga04daf89ca77fbd430ddccee8bf43ed96"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga04daf89ca77fbd430ddccee8bf43ed96">QSPIFlash_writeDisable</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle)</td></tr>
<tr class="separator:ga04daf89ca77fbd430ddccee8bf43ed96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0a93c591c798e9150dd335c038691a31"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga0a93c591c798e9150dd335c038691a31">QSPIFlash_singleRead</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle, uint32_t memAddr, uint32_t dataLen, uint8_t *userDataBuf)</td></tr>
<tr class="separator:ga0a93c591c798e9150dd335c038691a31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7f736fdaa3adb679ea029781498ca25b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga7f736fdaa3adb679ea029781498ca25b">QSPIFlash_singleWrite</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle, uint32_t memAddr, uint32_t dataLen, uint8_t *srcDataAddr)</td></tr>
<tr class="separator:ga7f736fdaa3adb679ea029781498ca25b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac4da1932c9a30618e5373766a0c4a0f5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac4da1932c9a30618e5373766a0c4a0f5">QSPIFlash_configMmapRead</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle, <a class="el" href="qspiflash_8h.html#aa4a5c3e4f93e3ee65cfce1ad83df6cc0">FLASH_READ_MODE</a> mode)</td></tr>
<tr class="separator:gac4da1932c9a30618e5373766a0c4a0f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf055ccb829f268bb7b7e3ed80ee87e0f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaf055ccb829f268bb7b7e3ed80ee87e0f">QSPIFlash_configMmapWrite</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle)</td></tr>
<tr class="separator:gaf055ccb829f268bb7b7e3ed80ee87e0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac5e75d1dab0f57b4d3ac3dfa5753d02c"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac5e75d1dab0f57b4d3ac3dfa5753d02c">QSPIFlash_mmapRead</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle, const uint32_t *memAddr, uint32_t dataLen, uint32_t *userDataBuf)</td></tr>
<tr class="separator:gac5e75d1dab0f57b4d3ac3dfa5753d02c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacf22957e5ee0b0b4e4a8e5008de5d6e3"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gacf22957e5ee0b0b4e4a8e5008de5d6e3">QSPIFlash_mmapWrite</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle, const uint32_t *memAddr, uint32_t dataLen, uint32_t *srcDataAddr)</td></tr>
<tr class="separator:gacf22957e5ee0b0b4e4a8e5008de5d6e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga623161a5fb1acfa14cd2efdaf632726d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga623161a5fb1acfa14cd2efdaf632726d">QSPIFlash_progQuadRead</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle)</td></tr>
<tr class="separator:ga623161a5fb1acfa14cd2efdaf632726d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga735d94679ca93b3bad68b09d5323273d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga735d94679ca93b3bad68b09d5323273d">QSPIFlash_clearBlockProtectBits</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle)</td></tr>
<tr class="separator:ga735d94679ca93b3bad68b09d5323273d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga94aa45edbab024db93e760c1693b3d5a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga94aa45edbab024db93e760c1693b3d5a">QSPIFlash_getDeviceID</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle, SPIFLASH_devID *devId)</td></tr>
<tr class="separator:ga94aa45edbab024db93e760c1693b3d5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2440543dd1a2fa76b4b94cc2808a3978"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga2440543dd1a2fa76b4b94cc2808a3978">QSPIFlash_getExtFlashAddr</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle)</td></tr>
<tr class="separator:ga2440543dd1a2fa76b4b94cc2808a3978"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae6b114479aabb901978937a25bf1790b"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gae6b114479aabb901978937a25bf1790b">QSPIFlash_sysDmaRead</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle, DMA_Handle dmaHandle, uint32_t dmaChan, uint32_t srcAddr, uint32_t dstAddr, uint32_t dataLen)</td></tr>
<tr class="separator:gae6b114479aabb901978937a25bf1790b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2b9c830818b1455c0b086e7dc16abc22"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga2b9c830818b1455c0b086e7dc16abc22">QSPIFlash_sysDmaWrite</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle, DMA_Handle dmaHandle, uint32_t dmaChan, uint32_t srcAddr, uint32_t dstAddr, uint32_t dataLen)</td></tr>
<tr class="separator:ga2b9c830818b1455c0b086e7dc16abc22"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>QSPI Flash. </p>
<p>============================================================================ </p>
</div><h2 class="groupheader">Typedef Documentation</h2>
<a class="anchor" id="aa4a5c3e4f93e3ee65cfce1ad83df6cc0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef enum <a class="el" href="qspiflash_8h.html#ad118404f00b7c91a9dcd613cc0215038">FLASH_READ_MODE_e</a> <a class="el" href="qspiflash_8h.html#aa4a5c3e4f93e3ee65cfce1ad83df6cc0">FLASH_READ_MODE</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>QSPI flash Read mode. </p>
<p>QSPI flash Memory mapped read mode </p>

</div>
</div>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a class="anchor" id="ad118404f00b7c91a9dcd613cc0215038"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="qspiflash_8h.html#ad118404f00b7c91a9dcd613cc0215038">FLASH_READ_MODE_e</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>QSPI flash Read mode. </p>
<p>QSPI flash Memory mapped read mode </p>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
